<?php
date_default_timezone_set('America/Lima');
class cBonificacionsucursal_cst{



	function verSuma_BonificacionPuntoventaFecha($fec1,$punven_id){
		$sql="select sum(vd.tb_ventadetalle_bonuni*vd.tb_ventadetalle_can) as 'totalbonificacion',
		sum(CASE WHEN vd.tb_ventadetalle_can>=em.tb_empaque_fac THEN vd.tb_ventadetalle_preuni*(vd.tb_ventadetalle_can /em.tb_empaque_fac)  ELSE vd.tb_ventadetalle_preuni*vd.tb_ventadetalle_can END) as 'totalventa' 
		
		from tb_ventadetalle vd
		inner join tb_venta v on v.tb_venta_id = vd.tb_venta_id
		INNER JOIN tb_catalogo ct ON vd.tb_catalogo_id = ct.tb_catalogo_id
		INNER JOIN tb_producto p ON ct.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_presentacion pr ON p.tb_presentacion_id = pr.tb_presentacion_id
		INNER JOIN tb_marca m ON vd.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id
		INNER JOIN tb_unidad un ON ct.tb_unidad_id = un.tb_unidad_id
		INNER JOIN tb_empaque em ON em.tb_empaque_id = p.tb_empaque_id

		WHERE v.tb_venta_xac = 1 and v.tb_venta_est = '1'
		AND v.tb_venta_fec = '$fec1' AND vd.tb_ventadetalle_bonuni > 0 ";
		
		if($punven_id!=''){ $sql = $sql." AND v.tb_puntoventa_id = '$punven_id' "; }
		
		$sql = $sql." ORDER BY v.tb_venta_fec ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarPuntoVenta(){
		
		$sql = "SELECT * FROM tb_puntoventa WHERE tb_puntoventa_xac = '1'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	

}


?>